## org.eclipse.jst.jsf.facesconfig.emf
Interface PropertyType

All Known Implementing Classes:
  PropertyTypeImpl

    public interface PropertyType

A representation of the model object 'Property Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Property Name`
- `Property Class`
- `Default Value`
- `Suggested Value`
- `Property Extension`
- `Id`

See Also:
  `FacesConfigPackage.getPropertyType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DefaultValueType` `getDefaultValue()` Returns the value of the 'Default Value' containment reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`PropertyClassType` `getPropertyClass()` Returns the value of the 'Property Class' containment reference
`EList` `getPropertyExtension()` Returns the value of the 'Property Extension' containment reference list.
`PropertyNameType` `getPropertyName()` Returns the value of the 'Property Name' containment reference
`SuggestedValueType` `getSuggestedValue()` Returns the value of the 'Suggested Value' containment reference
`void` `setDefaultValue(DefaultValueType value)` Sets the value of the '`Default Value`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setPropertyClass(PropertyClassType value)` Sets the value of the '`Property Class`' containment reference
`void` `setPropertyName(PropertyNameType value)` Sets the value of the '`Property Name`' containment reference
`void` `setSuggestedValue(SuggestedValueType value)` Sets the value of the '`Suggested Value`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_Icon()`

### getPropertyName

    PropertyNameType getPropertyName()

  Returns the value of the 'Property Name' containment reference.

  If the meaning of the 'Property Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Name' containment reference.
  See Also:
    `setPropertyName(PropertyNameType)`, `FacesConfigPackage.getPropertyType_PropertyName()`

### setPropertyName

    void setPropertyName(PropertyNameType value)

  Sets the value of the '`Property Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Name' containment reference.
  See Also:
    `getPropertyName()`

### getPropertyClass

    PropertyClassType getPropertyClass()

  Returns the value of the 'Property Class' containment reference.

  If the meaning of the 'Property Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Class' containment reference.
  See Also:
    `setPropertyClass(PropertyClassType)`, `FacesConfigPackage.getPropertyType_PropertyClass()`

### setPropertyClass

    void setPropertyClass(PropertyClassType value)

  Sets the value of the '`Property Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Class' containment reference.
  See Also:
    `getPropertyClass()`

### getDefaultValue

    DefaultValueType getDefaultValue()

  Returns the value of the 'Default Value' containment reference.

  If the meaning of the 'Default Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `setDefaultValue(DefaultValueType)`, `FacesConfigPackage.getPropertyType_DefaultValue()`

### setDefaultValue

    void setDefaultValue(DefaultValueType value)

  Sets the value of the '`Default Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Value' containment reference.
  See Also:
    `getDefaultValue()`

### getSuggestedValue

    SuggestedValueType getSuggestedValue()

  Returns the value of the 'Suggested Value' containment reference.

  If the meaning of the 'Suggested Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Suggested Value' containment reference.
  See Also:
    `setSuggestedValue(SuggestedValueType)`, `FacesConfigPackage.getPropertyType_SuggestedValue()`

### setSuggestedValue

    void setSuggestedValue(SuggestedValueType value)

  Sets the value of the '`Suggested Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Suggested Value' containment reference.
  See Also:
    `getSuggestedValue()`

### getPropertyExtension

    EList getPropertyExtension()

  Returns the value of the 'Property Extension' containment reference list. The list contents are of type `PropertyExtensionType`.

  If the meaning of the 'Property Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_PropertyExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getPropertyType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`